;******************* VARIABLE DEFINITIONS *****************************
    cblock 0x20 
	State			; motor state
	Index			; duty cycle lookup index
	Delay			; delay register
	Mode			; operation mode
	Flag			; flag register
	CounterL		; low order counter
	CounterH		; high order counter
	PositionPot		; position of potentiometer
	PositionMotor	; position of motor
     endc

;*************************** PIN DEFINITIONS **************************
#define	SW1 	PORTA,3		; push button switch
#define	POT 	PORTA,2		; potentiometer
#define	PWM1	PORTC,5		; PA1
#define	PWM2	PORTC,4		; PB1
#define	CTRLA1	PORTC,3		; winding A control line 1
#define	CTRLA2	PORTC,2		; winding A control line 2
#define	CTRLB1	PORTA,5		; winding B	control line 1
#define	CTRLB2	PORTA,4		; winding B control line 2

#define FDirection Flag,0	; direction of motor motion

